// Copyright (C) 2006-2009 Simula Research Laboratory and Johan Hake
// Licensed under the GNU GPL Version 3.0.

#include "areafunction.h"

tritetmesh::AreaFunction *global_area_function = 0;

extern "C" {
int triunsuitable(double* triorg, double* tridest, double* triapex, double area)
{
  if (global_area_function != 0)
    {
      double mean_x = (triorg[0]+tridest[0]+triapex[0])/3;
      double mean_y = (triorg[1]+tridest[1]+triapex[1])/3;
      return area > global_area_function->eval(mean_x, mean_y) ? 1: 0;
    }
  return 0;
}
}
